<template>
  <dashboard-layout :link="2" class="">
    <div class="p-2">
      <div class="col-sm-6 h4 ">
        <span class="text-capitalize text-bold mr-2">Hi {{curUser && curUser.firstname ? curUser.firstname : 'Dave'}}, </span>
        <span> your avatars are all set</span>
      </div>
      <div class="col-sm-4">

      </div>
    </div>
    <div class="card p-2 m-2">
      <div class="row p-4">
        <span class="avatars-card" >
          <img src="../../assets/img/women.png" alt="avatar standard" class="img-fluid users-avatars">
        </span>
        <span class="avatars-card" >
          <img src="../../assets/img/man.png" alt="avatar standard" class="img-fluid users-avatars">
        </span>
        <span class="avatars-card" >
          <img src="../../assets/img/avatar_profile.png" alt="avatar standard" class="img-fluid users-avatars">
        </span>
        <span class="avatars-card" >
          <img src="../../assets/img/woman.png" alt="avatar standard" class="img-fluid users-avatars">
        </span>
        <span class="avatars-card" >
          <img src="../../assets/img/user_avatar.png" alt="avatar standard" class="img-fluid users-avatars">
        </span>

      </div>
    </div>
  </dashboard-layout>
</template>

<script lang="ts">

export default {
  data() {
    return {
      isLoading: false,
      curUser: {},
      avatars: [
        {img: '../../assets/img/avatar_profile.png'},
        {img: '../../assets/img/avatar_profile.png'},
        {img: '../../assets/img/avatar_profile.png'},
      ]
    };
  },
  mounted() {
    this.init();
  },
  methods: {
    init(){
      if(localStorage.getItem('token') ){
        this.curUser = JSON.parse(localStorage.getItem('userInfos'));
      } else{
        this.$alertify.warning("Vous n'êtes pas connecté. Veuillez-vous connecter !");
        this.$router.replace({ path: '/' });
      }
    },
  },
};
</script>

<style lang="scss" scoped>
 .icon-pointer {
    font-size: 75px;
  }

  .card {
    cursor: pointer;
  }

  .media-body {
    text-align: center;
    margin: 0 20px;
  }

</style>
